Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.pageeditor.FindOption Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| FindOption (bool is_whole_word, bool is_case_sensitive)
| Constructor, with parameters. More...
| FindOption ()
| Constructor.
| FindOption (FindOption find_option)
| Constructor, with another find option object. More...
void | Set (bool is_whole_word, bool is_case_sensitive)
| Set value. More...

## Properties
bool | is_case_sensitive`[get, set]`
| A boolean value specifies that whether to match case.true means to match case, otherwise no.
bool | is_whole_word`[get, set]`
| A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.

## Detailed Description

This class represents the find option which is used by TextSearchReplace objects.

## Constructor & Destructor Documentation

## ◆ FindOption() [1/2]

foxit.addon.pageeditor.FindOption.FindOption | ( | bool | is_whole_word,
|  | bool | is_case_sensitive
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only.true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

## ◆ FindOption() [2/2]

foxit.addon.pageeditor.FindOption.FindOption | ( | FindOption | find_option | ) |
| inline

Constructor, with another find option object.

Parameters

  [in] | find_option | Another find option object.

## Member Function Documentation

## ◆ Set()

void foxit.addon.pageeditor.FindOption.Set | ( | bool | is_whole_word,
|  | bool | is_case_sensitive
| ) |  |
| inline

Set value.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

Returns
  None.